Subject: Re: bug#17322: 24.3.90; emacs crash at eassert (verify_row_hash (a)) in dispnew.c:1169

From: Eli Zaretskii <[email-masked]>
Date: Wed, 23 Apr 2014 17:43:44 +0300

> From: Nicolas Richard <[email-masked]>
> Date: Wed, 23 Apr 2014 12:57:01 +0200
> 
> I think I was busy in magit, probably about to switch to another branch.
> I'm not sure.
> 
> anyway here's the full backtrace. I kept the gdb session open just in case.
> 
> Starting program: /home/youngfrog/sources/running-emacs/src/emacs -nw
> warning: Could not load shared library symbols for linux-gate.so.1.
> Do you need "set solib-search-path" or "set sysroot"?
> [Thread debugging using libthread_db enabled]
> Using host libthread_db library "/lib/libthread_db.so.1".
> [New Thread 0xb6389b40 (LWP 29247)]
> [New Thread 0xb5801b40 (LWP 29252)]
> [New Thread 0xb4e11b40 (LWP 29253)]
> 
> Breakpoint 1, terminate_due_to_signal (sig=6, backtrace_limit=2147483647) at emacs.c:351
> 351	  signal (sig, SIG_DFL);
> #0  terminate_due_to_signal (sig=6, backtrace_limit=2147483647) at emacs.c:351
> #1  0x081f5927 in die (msg=0x82d5798 "verify_row_hash (a)", file=0x82d5608 "dispnew.c", line=1169) at alloc.c:6826
> #2  0x08059979 in row_equal_p (a=0xa25151c, b=0xb2a0afc, mouse_face_p=true) at dispnew.c:1169
> #3  0x0805ef01 in scrolling_window (w=0xa7ee2f0, header_line_p=false) at dispnew.c:4129

There's a slim chance that output from the following GDB commands will
give some hint:

 (gdb) frame 2
 (gdb) pgrowx a
 (gdb) pgrowx b

If not, it's almost impossible to debug these assertion violations
(and we didn't see them for a very long time now).

> #3  0x0805ef01 in scrolling_window (w=0xa7ee2f0, header_line_p=false) at dispnew.c:4129
>         desired_matrix = 0x96873a0
>         current_matrix = 0xb453fb0
>         yb = 967
>         i = 32
>         j = 32
>         first_old = 30
>         first_new = 30
>         last_old = 50
>         last_new = 50

Do you really have 50 lines in your windows?

Thanks.